


<script>

import room from './room'
export default room;

</script>

<template>
	<div
		:style="{
			display: 'flex',
			borderRadius: '8px',
			height: '100%'
		}"
	>
		<div
			:style="{
				position: 'relative',
				
				width: '20%',
				borderRadius: '8px',
				border: '2px solid white',

				boxSizing: 'border-box',
				padding: '20px',
				
				display: 'flex',
				flexDirection: 'column',
				
				background: 'linear-gradient(-45deg, #0000005c, #d2b6a638, #00000054)'
			}"
		>
			<div>
				<h1>Vibes</h1>
			</div>
			<div
				:style="{
					position: 'relative',
					height: '100%'
				}"
			>
				<div
					v-if="retrieving_vibes"
					:style="{
						position: 'absolute',
						height: '100%',
						width: '100%'
					}"
				>
					<VaProgressCircle 
						indeterminate 
						:style="{
							position: 'absolute',
							top: '50%',
							left: '50%',
							transform: 'translateX(-50%) translateY(-50%)'
						}"
					/>
				</div>
			
				<VaAlert
					v-if="vibes_alert"
					color="warning"
					class="mb-6"	

				>
					{{ vibes_alert }}
				</VaAlert>
								
				<VaButton 					
					@click="open_vibe(vibe)"
					:disabled="vibe.name === show_vibe.name"
					
					color="#000"
					borderColor="#FFF"
					
					v-for="vibe in vibes"
					:style="{
						width: '100%',
						margin: '4px 0'
					}"
				>
					<section>
						<!-- <label
							:style="{
								fontSize: '.6em'
							}"
						>name</label> -->
						<p>{{ vibe.name }}</p>
					</section>
				</VaButton>
			</div>
			<div>
				<VaButton
					:disabled="show === 'vibe maker'"
					@click="open_vibe_maker"
					
					color="#000"
					borderColor="#FFF"
				>make vibe</VaButton>
				<div
					:style="{
						height: '10px'
					}"
				/>
				<VaButton
					@click="make_example_vibe"
					
					color="#000"
					borderColor="#FFF"
				>make example vibe</VaButton>
				<div
					:style="{
						height: '10px'
					}"
				/>
				<VaButton
					color="#000"
					borderColor="#FFF"
				>love the vibes</VaButton>
			</div>
		</div>
	
		<div
			:style="{
				width: '3%'
			}"
		/>
	
		<div
			:style="{
				position: 'relative',
				overflowY: 'scroll',
				
				width: '77%',
				borderRadius: '8px',

				border: '2px solid white',

				boxSizing: 'border-box',
				padding: '20px',
				
				background: 'linear-gradient(-40deg, #0000007d, #ffff0012, #0000004f, #0000004a)'
			}"
		>
			<div
				:style="{
					position: 'absolute',
					width: '100%',
					left: 0,
					top: 0,
					
					boxSizing: 'border-box',
					padding: '20px'
				}"
			>
				<div v-if="show === 'vibe'">
					<VaCard outlined :style="styles.vibe_styles">
						<VaCardTitle
							:style="styles.vibe_labels"
						>flavor</VaCardTitle>
						<VaCardContent>
							<p
								:style="{
									wordWrap: 'break-word',
									lineHeight: '150%'
								}"
							>{{ show_vibe.flavor }}</p>
							<VaButton @click="copy_text (show_vibe.flavor)">copy</VaButton>
						</VaCardContent>
					</VaCard>
					<VaCard outlined :style="styles.vibe_styles">
						<VaCardTitle
							:style="styles.vibe_labels"
						>kind</VaCardTitle>
						<VaCardContent>
							<p
								:style="{
									wordWrap: 'break-word',
									lineHeight: '150%'
								}"
							>{{ show_vibe.kind }}</p>
						</VaCardContent>
					</VaCard>
					<VaCard outlined :style="styles.vibe_styles">
						<VaCardTitle
							:style="styles.vibe_labels"
						>showy rhythm</VaCardTitle>
						<VaCardContent>
							<p
								:style="{
									wordWrap: 'break-word',
									lineHeight: '150%'
								}"
							>{{ show_vibe.showy ["hexadecimal string"] }}</p>
						</VaCardContent>
					</VaCard>
					<VaCard outlined :style="styles.vibe_styles">
						<VaCardTitle
							:style="styles.vibe_labels"
						>intimate rhythm</VaCardTitle>
						<VaCardContent>
							<p
								:style="{
									wordWrap: 'break-word',
									lineHeight: '150%'
								}"
							>{{ show_vibe.intimate ["hexadecimal string"] }}</p>
						</VaCardContent>
					</VaCard>
					<VaCard outlined :style="styles.vibe_styles">
						<VaCardTitle
							:style="styles.vibe_labels"
						>seed</VaCardTitle>
						<VaCardContent>
							<p
								:style="{
									wordWrap: 'break-word',
									lineHeight: '150%'
								}"
							>{{ show_vibe.seed ["hexadecimal string"] }}</p>
						</VaCardContent>
					</VaCard>
				</div>
				<Generate_Card 
					v-if="show === 'vibe maker'"
				/>
			</div>
			
		</div>
	</div>
</template>

<style>
@media (min-width: 1024px) {
	.about {
		min-height: 100vh;
		display: flex;
		align-items: center;
	}
}
</style>
